Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.property
Class PropertyAccessException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.objectstyle.cayenne.CayenneRuntimeException
                      org.objectstyle.cayenne.property.PropertyAccessException

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyAccessException

extends CayenneRuntimeException

An unchecked exception thrown on errors during property access.

Since:
  1.2
Author:
  Andrus Adamchik
See Also:
  Serialized Form

Field Summary
`protected PropertyAccessor` | `accessor`
`protected java.lang.Object` | `source`

Constructor Summary
`PropertyAccessException(java.lang.String message, PropertyAccessor accessor, java.lang.Object source)`
`PropertyAccessException(java.lang.String message, PropertyAccessor accessor, java.lang.Object source, java.lang.Throwable cause)`

Method Summary
`PropertyAccessor` | `getAccessor()` Returns property descriptor that was used to access the property.
`java.lang.Object` | `getSource()` Returns an object that caused an error.

Methods inherited from class org.objectstyle.cayenne.CayenneRuntimeException
`getMessage, getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### accessor

    protected PropertyAccessor accessor

### source

    protected java.lang.Object source

Constructor Detail

### PropertyAccessException

    public PropertyAccessException(java.lang.String message,
                                   PropertyAccessor accessor,
                                   java.lang.Object source)

### PropertyAccessException

    public PropertyAccessException(java.lang.String message,
                                   PropertyAccessor accessor,
                                   java.lang.Object source,
                                   java.lang.Throwable cause)

Method Detail

### getAccessor

    public PropertyAccessor getAccessor()

  Returns property descriptor that was used to access the property. It may be null.

### getSource

    public java.lang.Object getSource()

  Returns an object that caused an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.